VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2865
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4440
   LinkTopic       =   "Form1"
   ScaleHeight     =   2865
   ScaleWidth      =   4440
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox lstFields 
      Height          =   2400
      ItemData        =   "Form1.frx":0000
      Left            =   2280
      List            =   "Form1.frx":0002
      TabIndex        =   1
      Top             =   360
      Width           =   2055
   End
   Begin VB.ListBox lstTables 
      Height          =   2400
      ItemData        =   "Form1.frx":0004
      Left            =   120
      List            =   "Form1.frx":0006
      TabIndex        =   0
      Top             =   360
      Width           =   2055
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Fields"
      Height          =   255
      Index           =   1
      Left            =   2280
      TabIndex        =   3
      Top             =   120
      Width           =   2055
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Tables"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   2055
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' The database file name.
Private m_DBFile As String

' List the fields in this table.
Private Sub ListFields(ByVal db_file As String, ByVal db_table_name As String)
Dim statement As String
Dim conn As ADODB.Connection
Dim rs As ADODB.Recordset

    ' Open a connection.
    Set conn = New ADODB.Connection
    conn.ConnectionString = _
        "Provider=Microsoft.Jet.OLEDB.4.0;" & _
        "Data Source=" & db_file & ";" & _
        "Persist Security Info=False"
    conn.Open

    lstFields.Clear

    ' Use OpenSchema and get the table names.
    Set rs = conn.OpenSchema(adSchemaColumns, _
        Array(Empty, Empty, db_table_name))

    Do While Not rs.EOF
        lstFields.AddItem rs!COLUMN_NAME
        rs.MoveNext
    Loop

    rs.Close
    conn.Close
End Sub

' List the tables in the database.
Private Sub ListTables(ByVal db_name As String)
Dim statement As String
Dim conn As ADODB.Connection
Dim rs As ADODB.Recordset

    ' Open a connection.
    Set conn = New ADODB.Connection
    conn.ConnectionString = _
        "Provider=Microsoft.Jet.OLEDB.4.0;" & _
        "Data Source=" & db_name & ";" & _
        "Persist Security Info=False"
    conn.Open

    lstTables.Clear
    lstFields.Clear

    ' Use OpenSchema and get the table names.
    Set rs = conn.OpenSchema(adSchemaTables, _
        Array(Empty, Empty, Empty, "Table"))
    Do While Not rs.EOF
        lstTables.AddItem rs!TABLE_NAME
        rs.MoveNext
    Loop

    rs.Close
    conn.Close
End Sub

Private Sub Form_Load()
    ' Get the database file name.
    m_DBFile = App.Path
    If Right$(m_DBFile, 1) <> "\" Then m_DBFile = m_DBFile & "\"
    m_DBFile = m_DBFile & "books.mdb"

    ' List the tables.
    ListTables m_DBFile
End Sub

Private Sub lstTables_Click()
    If lstTables.ListIndex < 0 Then Exit Sub

    ListFields m_DBFile, lstTables.Text
End Sub
